Subject: Re: 2.6.31 ARP related problems

From: Or Gerlitz <[email-masked]>
Date: Wed, 02 Sep 2009 15:20:11 +0300

Eric W. Biederman wrote:
> I just tested.  If the two macvlans are in separate network namespaces all is well,
> so definitely not macvlan. As you have observed there are no real changes to arp.c

Yes, it's not macvlan to blame, I just tested it in SR-IOV scheme with igb/igbvf and
I see the same problem, only ping that goes through / targeted to the IP address of the first
VF device routing hit works, which means SR-IOV isn't really usable with 2.6.31 when you want 
a multiple VMs scheme, each attached to a different VF and all VMs on the same network segment.

Or.